#include "run-time.h"

void _Init_dfmc_harp_cg_linker_ () __attribute__((constructor));
void _Init_dfmc_harp_cg_linker_ () {
  extern void _Init_Run_Time();
  extern void _Init_dfmc_linker_();
  extern void _Init_dfmc_harp_cg_();
  extern void _Init_common_dylan_();
  extern void _Init_dylan_();
  extern void _Init_dfmc_harp_cg_linker__X_harp_linker_library_for_system();
  extern void _Init_dfmc_harp_cg_linker__X_harp_linker_for_system();
  extern void _Init_dfmc_harp_cg_linker__X_harp_link_object_for_system();
  extern void _Init_dfmc_harp_cg_linker__X_harp_gluefile_for_system();
  extern void _Init_dfmc_harp_cg_linker__X_harp_linker_library_for_user();
  extern void _Init_dfmc_harp_cg_linker__X_harp_linker_for_user();
  extern void _Init_dfmc_harp_cg_linker__X_harp_link_object_for_user();
  extern void _Init_dfmc_harp_cg_linker__X_harp_gluefile_for_user();
  static int initp = 0;
  if (!initp) {
    initp = 1;
    _Init_Run_Time();
    _Init_dfmc_linker_();
    _Init_dfmc_harp_cg_();
    _Init_common_dylan_();
    _Init_dylan_();
    _Init_dfmc_harp_cg_linker__X_harp_linker_library_for_system();
    _Init_dfmc_harp_cg_linker__X_harp_linker_for_system();
    _Init_dfmc_harp_cg_linker__X_harp_link_object_for_system();
    _Init_dfmc_harp_cg_linker__X_harp_gluefile_for_system();
    _Init_dfmc_harp_cg_linker__X_harp_linker_library_for_user();
    _Init_dfmc_harp_cg_linker__X_harp_linker_for_user();
    _Init_dfmc_harp_cg_linker__X_harp_link_object_for_user();
    _Init_dfmc_harp_cg_linker__X_harp_gluefile_for_user();
  }
}
